Bug 26810 - OpacCustomSearch is no longer a system preference, we must use the template variable
Summary: OpacCustomSearch is no longer a system preference, we must use the template v...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 20168 23796
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-24 00:30 UTC by Nick Clemens
Modified: 2020-11-13 20:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26810: Restore OpacCustomSearch news display (2.21 KB, patch)
2020-10-24 00:34 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26810: Restore OpacCustomSearch news display (2.28 KB, patch)
2020-10-24 00:38 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 26810: Restore OpacCustomSearch news display (2.26 KB, patch)
2020-10-24 00:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26810: Restore OpacCustomSearch news display (2.32 KB, patch)
2020-10-25 00:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-10-24 00:30:01 UTC
Bug 23796 moved OPacCustomSearch to News form SystemPreferences

Bug 20168 set the template to use the syspref again
Comment 1 Nick Clemens 2020-10-24 00:34:43 UTC
Created attachment 112340 [details] [review]
Bug 26810: Restore OpacCustomSearch news display

To test:
1 - Define a new opac news entry for OpacCustomSearch
2 - Browse opac, notice the standard search bar is displayed
3 - Apply patch
4 - Note new search bar displays on refresh
Comment 2 Caroline Cyr La Rose 2020-10-24 00:38:33 UTC
Created attachment 112341 [details] [review]
Bug 26810: Restore OpacCustomSearch news display

To test:
1 - Define a new opac news entry for OpacCustomSearch
2 - Browse opac, notice the standard search bar is displayed
3 - Apply patch
4 - Note new search bar displays on refresh

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 3 Owen Leonard 2020-10-24 00:40:28 UTC
Created attachment 112342 [details] [review]
Bug 26810: Restore OpacCustomSearch news display

To test:
1 - Define a new opac news entry for OpacCustomSearch
2 - Browse opac, notice the standard search bar is displayed
3 - Apply patch
4 - Note new search bar displays on refresh

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2020-10-25 00:03:50 UTC
Created attachment 112426 [details] [review]
Bug 26810: Restore OpacCustomSearch news display

To test:
1 - Define a new opac news entry for OpacCustomSearch
2 - Browse opac, notice the standard search bar is displayed
3 - Apply patch
4 - Note new search bar displays on refresh

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-10-25 23:10:37 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-13 20:58:31 UTC
missing dependencies for 20.05.x, no backport